package com.jxdinfo.hussar.core.bouncycastle.asn1.pkcs;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1ObjectIdentifier;
import com.jxdinfo.hussar.core.bouncycastle.jce.provider.asymmetric.ec.ECUtil;
import com.jxdinfo.hussar.core.support.OSUtil;

public interface PKCSObjectIdentifiers {
  public static final ASN1ObjectIdentifier id_aa_msgSigDigest;
  
  public static final ASN1ObjectIdentifier md4;
  
  public static final ASN1ObjectIdentifier id_cti_ets_proofOfOrigin;
  
  public static final ASN1ObjectIdentifier id_aa_ets_commitmentType;
  
  public static final ASN1ObjectIdentifier md5WithRSAEncryption;
  
  public static final ASN1ObjectIdentifier sha256WithRSAEncryption;
  
  public static final ASN1ObjectIdentifier id_aa_ets_signerAttr;
  
  public static final String id_spq = "1.2.840.113549.1.9.16.5";
  
  public static final ASN1ObjectIdentifier id_PBKDF2;
  
  public static final ASN1ObjectIdentifier pkcs_1 = new ASN1ObjectIdentifier(OSUtil.break("I\\AWQWDPJ@GKLKAT@U"));
  
  public static final ASN1ObjectIdentifier pbeWithSHAAnd40BitRC4;
  
  public static final ASN1ObjectIdentifier canNotDecryptAny;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_localKeyId;
  
  public static final ASN1ObjectIdentifier id_aa_ets_archiveTimestamp;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_unstructuredAddress;
  
  public static final ASN1ObjectIdentifier id_aa_ets_sigPolicyId;
  
  public static final ASN1ObjectIdentifier pbewithSHAAnd40BitRC2_CBC;
  
  public static final ASN1ObjectIdentifier RC2_CBC;
  
  public static final ASN1ObjectIdentifier id_aa_signatureTimeStampToken;
  
  public static final ASN1ObjectIdentifier id_aa_ets_otherSigCert;
  
  public static final ASN1ObjectIdentifier pbeWithMD2AndRC2_CBC;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_signingTime;
  
  public static final ASN1ObjectIdentifier bagtypes;
  
  public static final ASN1ObjectIdentifier id_aa_signingCertificate;
  
  public static final ASN1ObjectIdentifier id_aa_ets_revocationValues;
  
  public static final ASN1ObjectIdentifier id_aa_contentHint;
  
  public static final ASN1ObjectIdentifier sha384WithRSAEncryption;
  
  public static final ASN1ObjectIdentifier encryptionAlgorithm;
  
  public static final ASN1ObjectIdentifier md2WithRSAEncryption;
  
  public static final ASN1ObjectIdentifier md4WithRSAEncryption;
  
  public static final String pkcs_7 = "1.2.840.113549.1.7";
  
  public static final ASN1ObjectIdentifier signedAndEnvelopedData;
  
  public static final ASN1ObjectIdentifier id_hmacWithSHA384;
  
  public static final ASN1ObjectIdentifier pbeWithSHAAnd2_KeyTripleDES_CBC;
  
  public static final ASN1ObjectIdentifier id_aa_sigPolicyId;
  
  public static final ASN1ObjectIdentifier id_cti_ets_proofOfDelivery;
  
  public static final ASN1ObjectIdentifier id_aa_signerLocation;
  
  public static final ASN1ObjectIdentifier id_aa_ets_contentTimestamp;
  
  public static final ASN1ObjectIdentifier id_aa_ets_escTimeStamp;
  
  public static final ASN1ObjectIdentifier id_PBES2;
  
  public static final ASN1ObjectIdentifier secretBag;
  
  public static final ASN1ObjectIdentifier encryptedData;
  
  public static final ASN1ObjectIdentifier crlTypes;
  
  public static final ASN1ObjectIdentifier sha512WithRSAEncryption;
  
  public static final ASN1ObjectIdentifier id_cti;
  
  public static final ASN1ObjectIdentifier pbeWithSHA1AndDES_CBC;
  
  public static final ASN1ObjectIdentifier id_alg_PWRI_KEK;
  
  public static final ASN1ObjectIdentifier id_spq_ets_unotice;
  
  public static final ASN1ObjectIdentifier dhKeyAgreement;
  
  public static final ASN1ObjectIdentifier x509certType;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_friendlyName;
  
  public static final ASN1ObjectIdentifier id_pSpecified;
  
  public static final ASN1ObjectIdentifier id_aa_signingCertificateV2;
  
  public static final ASN1ObjectIdentifier pkcs_3;
  
  public static final ASN1ObjectIdentifier id_aa_encrypKeyPref;
  
  public static final ASN1ObjectIdentifier id_RSAES_OAEP;
  
  public static final ASN1ObjectIdentifier id_aa_ets_certCRLTimestamp;
  
  public static final ASN1ObjectIdentifier md2;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_messageDigest;
  
  public static final ASN1ObjectIdentifier id_aa_ets_certValues;
  
  public static final ASN1ObjectIdentifier id_ct_TSTInfo;
  
  public static final ASN1ObjectIdentifier pkcs_5;
  
  public static final ASN1ObjectIdentifier id_ct_authData;
  
  public static final ASN1ObjectIdentifier id_cti_ets_proofOfApproval;
  
  public static final ASN1ObjectIdentifier id_spq_ets_uri;
  
  public static final ASN1ObjectIdentifier id_alg_CMSRC2wrap;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_emailAddress;
  
  public static final ASN1ObjectIdentifier id_aa_ets_revocationRefs;
  
  public static final ASN1ObjectIdentifier pbeWithSHAAnd128BitRC4;
  
  public static final ASN1ObjectIdentifier sdsiCertificate;
  
  public static final ASN1ObjectIdentifier pkcs8ShroudedKeyBag;
  
  public static final ASN1ObjectIdentifier sMIMECapabilitiesVersions;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_contentType;
  
  public static final ASN1ObjectIdentifier id_cti_ets_proofOfSender;
  
  public static final ASN1ObjectIdentifier crlBag;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_smimeCapabilities;
  
  public static final ASN1ObjectIdentifier pkcs_9;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_challengePassword;
  
  public static final ASN1ObjectIdentifier id_hmacWithSHA256;
  
  public static final ASN1ObjectIdentifier preferSignedData;
  
  public static final ASN1ObjectIdentifier pbeWithSHA1AndRC2_CBC;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_unstructuredName;
  
  public static final ASN1ObjectIdentifier id_aa_receiptRequest;
  
  public static final ASN1ObjectIdentifier id_aa_ets_signerLocation;
  
  public static final ASN1ObjectIdentifier id_ct_authEnvelopedData;
  
  public static final ASN1ObjectIdentifier id_hmacWithSHA1;
  
  public static final ASN1ObjectIdentifier id_ct;
  
  public static final ASN1ObjectIdentifier des_EDE3_CBC;
  
  public static final ASN1ObjectIdentifier pbeWithSHAAnd3_KeyTripleDES_CBC;
  
  public static final ASN1ObjectIdentifier id_aa_otherSigCert;
  
  public static final ASN1ObjectIdentifier id_aa;
  
  public static final ASN1ObjectIdentifier digestedData;
  
  public static final ASN1ObjectIdentifier id_aa_commitmentType;
  
  public static final ASN1ObjectIdentifier sha224WithRSAEncryption;
  
  public static final ASN1ObjectIdentifier id_aa_ets_certificateRefs;
  
  public static final ASN1ObjectIdentifier pkcs_12PbeIds;
  
  public static final ASN1ObjectIdentifier pkcs_12;
  
  public static final ASN1ObjectIdentifier envelopedData;
  
  public static final ASN1ObjectIdentifier certBag;
  
  public static final ASN1ObjectIdentifier x509Certificate;
  
  public static final ASN1ObjectIdentifier md5;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_signingDescription;
  
  public static final ASN1ObjectIdentifier id_alg_CMS3DESwrap;
  
  public static final ASN1ObjectIdentifier id_RSASSA_PSS;
  
  public static final ASN1ObjectIdentifier id_hmacWithSHA512;
  
  public static final ASN1ObjectIdentifier id_mgf1;
  
  public static final ASN1ObjectIdentifier certTypes;
  
  public static final ASN1ObjectIdentifier id_ct_timestampedData;
  
  public static final ASN1ObjectIdentifier safeContentsBag;
  
  public static final ASN1ObjectIdentifier id_cti_ets_proofOfReceipt;
  
  public static final ASN1ObjectIdentifier pbeWithSHAAnd128BitRC2_CBC;
  
  public static final ASN1ObjectIdentifier pbeWithMD5AndDES_CBC;
  
  public static final ASN1ObjectIdentifier pbeWithMD5AndRC2_CBC;
  
  public static final ASN1ObjectIdentifier id_aa_contentReference;
  
  public static final ASN1ObjectIdentifier sha1WithRSAEncryption;
  
  public static final ASN1ObjectIdentifier data;
  
  public static final ASN1ObjectIdentifier x509Crl;
  
  public static final ASN1ObjectIdentifier id_ct_compressedData;
  
  public static final ASN1ObjectIdentifier keyBag;
  
  public static final ASN1ObjectIdentifier rsaEncryption = pkcs_1.branch(ECUtil.int("\037"));
  
  public static final ASN1ObjectIdentifier id_cti_ets_proofOfCreation;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_extendedCertificateAttributes;
  
  public static final ASN1ObjectIdentifier pbeWithMD2AndDES_CBC;
  
  public static final ASN1ObjectIdentifier srsaOAEPEncryptionSET;
  
  public static final ASN1ObjectIdentifier id_aa_contentIdentifier;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_counterSignature;
  
  public static final ASN1ObjectIdentifier digestAlgorithm;
  
  public static final ASN1ObjectIdentifier signedData;
  
  public static final ASN1ObjectIdentifier pkcs_9_at_extensionRequest;
  
  public static final ASN1ObjectIdentifier id_hmacWithSHA224;
  
  static {
    md2WithRSAEncryption = pkcs_1.branch(OSUtil.break("V"));
    md4WithRSAEncryption = pkcs_1.branch(ECUtil.int("\035"));
    md5WithRSAEncryption = pkcs_1.branch(OSUtil.break("P"));
    sha1WithRSAEncryption = pkcs_1.branch(ECUtil.int("\033"));
    srsaOAEPEncryptionSET = pkcs_1.branch(OSUtil.break("R"));
    id_RSAES_OAEP = pkcs_1.branch(ECUtil.int("\031"));
    id_mgf1 = pkcs_1.branch(OSUtil.break("\\"));
    id_pSpecified = pkcs_1.branch(ECUtil.int("\027"));
    id_RSASSA_PSS = pkcs_1.branch(OSUtil.break("_T"));
    sha256WithRSAEncryption = pkcs_1.branch(ECUtil.int("F\037"));
    sha384WithRSAEncryption = pkcs_1.branch(OSUtil.break("_V"));
    sha512WithRSAEncryption = pkcs_1.branch(ECUtil.int("F\035"));
    sha224WithRSAEncryption = pkcs_1.branch(OSUtil.break("_P"));
    pkcs_3 = new ASN1ObjectIdentifier(ECUtil.int("P\026X\035H\035]\032S\n^\001U\001X\036Y\035"));
    dhKeyAgreement = pkcs_3.branch(OSUtil.break("U"));
    pkcs_5 = new ASN1ObjectIdentifier(ECUtil.int("P\026X\035H\035]\032S\n^\001U\001X\036Y\033"));
    pbeWithMD2AndDES_CBC = pkcs_5.branch(OSUtil.break("U"));
    pbeWithMD2AndRC2_CBC = pkcs_5.branch(ECUtil.int("\032"));
    pbeWithMD5AndDES_CBC = pkcs_5.branch(OSUtil.break("W"));
    pbeWithMD5AndRC2_CBC = pkcs_5.branch(ECUtil.int("\030"));
    pbeWithSHA1AndDES_CBC = pkcs_5.branch(OSUtil.break("_T"));
    pbeWithSHA1AndRC2_CBC = pkcs_5.branch(ECUtil.int("F\037"));
    id_PBES2 = pkcs_5.branch(OSUtil.break("_W"));
    id_PBKDF2 = pkcs_5.branch(ECUtil.int("F\034"));
    encryptionAlgorithm = new ASN1ObjectIdentifier(OSUtil.break("BW[MLJK_EOKG[\\@W"));
    des_EDE3_CBC = encryptionAlgorithm.branch(ECUtil.int("\031"));
    RC2_CBC = encryptionAlgorithm.branch(OSUtil.break("V"));
    digestAlgorithm = new ASN1ObjectIdentifier(ECUtil.int("[\035B\007U\000R\025\\\005R\rB\026Y\034"));
    md2 = digestAlgorithm.branch(OSUtil.break("V"));
    md4 = digestAlgorithm.branch(ECUtil.int("\032"));
    md5 = digestAlgorithm.branch(OSUtil.break("Q"));
    id_hmacWithSHA1 = digestAlgorithm.branch(ECUtil.int("\031"));
    id_hmacWithSHA224 = digestAlgorithm.branch(OSUtil.break("\\"));
    id_hmacWithSHA256 = digestAlgorithm.branch(ECUtil.int("\027"));
    id_hmacWithSHA384 = digestAlgorithm.branch(OSUtil.break("_T"));
    id_hmacWithSHA512 = digestAlgorithm.branch(ECUtil.int("F\037"));
    data = new ASN1ObjectIdentifier(OSUtil.break("H]J\\KMYMEOHD@GVCAR@U"));
    signedData = new ASN1ObjectIdentifier(ECUtil.int("Q\027S\026R\007@\007\\\005Q\016Y\rO\tX\030Y\034"));
    envelopedData = new ASN1ObjectIdentifier(OSUtil.break("H]J\\KMYMEOHD@GVCAR@W"));
    signedAndEnvelopedData = new ASN1ObjectIdentifier(ECUtil.int("Q\027S\026R\007@\007\\\005Q\016Y\rO\tX\030Y\032"));
    digestedData = new ASN1ObjectIdentifier(OSUtil.break("H]J\\KMYMEOHD@GVCAR@Q"));
    encryptedData = new ASN1ObjectIdentifier(ECUtil.int("Q\027S\026R\007@\007\\\005Q\016Y\rO\tX\030Y\030"));
    pkcs_9 = new ASN1ObjectIdentifier(OSUtil.break("I\\AWQWDPJ@GKLKAT@]"));
    pkcs_9_at_emailAddress = pkcs_9.branch(ECUtil.int("\037"));
    pkcs_9_at_unstructuredName = pkcs_9.branch(OSUtil.break("V"));
    pkcs_9_at_contentType = pkcs_9.branch(ECUtil.int("\035"));
    pkcs_9_at_messageDigest = pkcs_9.branch(OSUtil.break("P"));
    pkcs_9_at_signingTime = pkcs_9.branch(ECUtil.int("\033"));
    pkcs_9_at_counterSignature = pkcs_9.branch(OSUtil.break("R"));
    pkcs_9_at_challengePassword = pkcs_9.branch(ECUtil.int("\031"));
    pkcs_9_at_unstructuredAddress = pkcs_9.branch(OSUtil.break("\\"));
    pkcs_9_at_extendedCertificateAttributes = pkcs_9.branch(ECUtil.int("\027"));
    pkcs_9_at_signingDescription = pkcs_9.branch(OSUtil.break("_W"));
    pkcs_9_at_extensionRequest = pkcs_9.branch(ECUtil.int("F\032"));
    pkcs_9_at_smimeCapabilities = pkcs_9.branch(OSUtil.break("_Q"));
    pkcs_9_at_friendlyName = pkcs_9.branch(ECUtil.int("E\036"));
    pkcs_9_at_localKeyId = pkcs_9.branch(OSUtil.break("\\U"));
    x509certType = pkcs_9.branch(ECUtil.int("D\035Y\037"));
    certTypes = pkcs_9.branch(OSUtil.break("\\V"));
    x509Certificate = certTypes.branch(ECUtil.int("\037"));
    sdsiCertificate = certTypes.branch(OSUtil.break("V"));
    crlTypes = pkcs_9.branch(ECUtil.int("E\035"));
    x509Crl = crlTypes.branch(OSUtil.break("U"));
    id_alg_PWRI_KEK = pkcs_9.branch(ECUtil.int("P\016X\034Y\027"));
    preferSignedData = pkcs_9.branch(OSUtil.break("^P@U"));
    canNotDecryptAny = pkcs_9.branch(ECUtil.int("G\032Y\034"));
    sMIMECapabilitiesVersions = pkcs_9.branch(OSUtil.break("^P@W"));
    id_ct = new ASN1ObjectIdentifier(ECUtil.int("\030c&N\001U\bD\002A\032X\000[\025\\\032X\026G\031Y\037"));
    id_ct_authData = id_ct.branch(OSUtil.break("V"));
    id_ct_TSTInfo = id_ct.branch(ECUtil.int("\032"));
    id_ct_compressedData = id_ct.branch(OSUtil.break("]"));
    id_ct_authEnvelopedData = id_ct.branch(ECUtil.int("E\035"));
    id_ct_timestampedData = id_ct.branch(OSUtil.break("]U"));
    id_cti = new ASN1ObjectIdentifier(ECUtil.int("\030c&N\001U\bD\002A\032X\000[\025\\\032X\026G\031Y\030"));
    id_cti_ets_proofOfOrigin = id_cti.branch(OSUtil.break("U"));
    id_cti_ets_proofOfReceipt = id_cti.branch(ECUtil.int("\034"));
    id_cti_ets_proofOfDelivery = id_cti.branch(OSUtil.break("W"));
    id_cti_ets_proofOfSender = id_cti.branch(ECUtil.int("\032"));
    id_cti_ets_proofOfApproval = id_cti.branch(OSUtil.break("Q"));
    id_cti_ets_proofOfCreation = id_cti.branch(ECUtil.int("\030"));
    id_aa = new ASN1ObjectIdentifier(OSUtil.break("RzlWKLB]HXPAJB_EPA\\^S@V"));
    id_aa_receiptRequest = id_aa.branch(ECUtil.int("\037"));
    id_aa_contentHint = id_aa.branch(OSUtil.break("P"));
    id_aa_msgSigDigest = id_aa.branch(ECUtil.int("\033"));
    id_aa_contentReference = id_aa.branch(OSUtil.break("_T"));
    id_aa_encrypKeyPref = id_aa.branch(ECUtil.int("F\037"));
    id_aa_signingCertificate = id_aa.branch(OSUtil.break("_V"));
    id_aa_signingCertificateV2 = id_aa.branch(ECUtil.int("C\031"));
    id_aa_contentIdentifier = id_aa.branch(OSUtil.break("S"));
    id_aa_signatureTimeStampToken = id_aa.branch(ECUtil.int("F\032"));
    id_aa_ets_sigPolicyId = id_aa.branch(OSUtil.break("_Q"));
    id_aa_ets_commitmentType = id_aa.branch(ECUtil.int("F\030"));
    id_aa_ets_signerLocation = id_aa.branch(OSUtil.break("_S"));
    id_aa_ets_signerAttr = id_aa.branch(ECUtil.int("F\026"));
    id_aa_ets_otherSigCert = id_aa.branch(OSUtil.break("_]"));
    id_aa_ets_contentTimestamp = id_aa.branch(ECUtil.int("E\036"));
    id_aa_ets_certificateRefs = id_aa.branch(OSUtil.break("\\U"));
    id_aa_ets_revocationRefs = id_aa.branch(ECUtil.int("E\034"));
    id_aa_ets_certValues = id_aa.branch(OSUtil.break("\\W"));
    id_aa_ets_revocationValues = id_aa.branch(ECUtil.int("E\032"));
    id_aa_ets_escTimeStamp = id_aa.branch(OSUtil.break("\\Q"));
    id_aa_ets_certCRLTimestamp = id_aa.branch(ECUtil.int("E\030"));
    id_aa_ets_archiveTimestamp = id_aa.branch(OSUtil.break("\\S"));
    id_aa_sigPolicyId = id_aa_ets_sigPolicyId;
    id_aa_commitmentType = id_aa_ets_commitmentType;
    id_aa_signerLocation = id_aa_ets_signerLocation;
    id_aa_otherSigCert = id_aa_ets_otherSigCert;
    id_spq_ets_uri = new ASN1ObjectIdentifier(ECUtil.int("\017^\033c,T\tO\t[\000E\035T\032S\025T\032P\016X\032Y\037"));
    id_spq_ets_unotice = new ASN1ObjectIdentifier(OSUtil.break("EGQzfMCVCBJ\\WMPJ_MPIDAP@V"));
    pkcs_12 = new ASN1ObjectIdentifier(ECUtil.int("\bO\nD\013D\031C\005S\bX\000X\026G\001F\034"));
    bagtypes = pkcs_12.branch(OSUtil.break("^U@U"));
    keyBag = bagtypes.branch(ECUtil.int("\037"));
    pkcs8ShroudedKeyBag = bagtypes.branch(OSUtil.break("V"));
    certBag = bagtypes.branch(ECUtil.int("\035"));
    crlBag = bagtypes.branch(OSUtil.break("P"));
    secretBag = bagtypes.branch(ECUtil.int("\033"));
    safeContentsBag = bagtypes.branch(OSUtil.break("R"));
    pkcs_12PbeIds = pkcs_12.branch(ECUtil.int("\037"));
    pbeWithSHAAnd128BitRC4 = pkcs_12PbeIds.branch(OSUtil.break("U"));
    pbeWithSHAAnd40BitRC4 = pkcs_12PbeIds.branch(ECUtil.int("\034"));
    pbeWithSHAAnd3_KeyTripleDES_CBC = pkcs_12PbeIds.branch(OSUtil.break("W"));
    pbeWithSHAAnd2_KeyTripleDES_CBC = pkcs_12PbeIds.branch(ECUtil.int("\032"));
    pbeWithSHAAnd128BitRC2_CBC = pkcs_12PbeIds.branch(OSUtil.break("Q"));
    pbewithSHAAnd40BitRC2_CBC = pkcs_12PbeIds.branch(ECUtil.int("\030"));
    id_alg_CMS3DESwrap = new ASN1ObjectIdentifier(OSUtil.break("EGQzfMCVCBJ\\WMPJ_MPIDAV@R"));
    id_alg_CMSRC2wrap = new ASN1ObjectIdentifier(ECUtil.int("\017^\033c,T\tO\t[\000E\035T\032S\025T\032P\016X\034Y\031"));
  }
}
